'use strict';

var constants = require('../../constants.js');
require('../../math/const.js');
var Rectangle = require('../../math/shapes/Rectangle.js');
require('../../math/groupD8.js');
require('../../math/Transform.js');

class FilterState {
  constructor() {
    this.renderTexture = null;
    this.target = null;
    this.legacy = false;
    this.resolution = 1;
    this.multisample = constants.MSAA_QUALITY.NONE;
    this.sourceFrame = new Rectangle.Rectangle();
    this.destinationFrame = new Rectangle.Rectangle();
    this.bindingSourceFrame = new Rectangle.Rectangle();
    this.bindingDestinationFrame = new Rectangle.Rectangle();
    this.filters = [];
    this.transform = null;
  }
  /** Clears the state */
  clear() {
    this.target = null;
    this.filters = null;
    this.renderTexture = null;
  }
}

exports.FilterState = FilterState;
//# sourceMappingURL=FilterState.js.map
