import { BaseTexture } from './BaseTexture';
import { Texture3DLayout, TextureLayout3DOptions } from './Texture3DLayout';
import type { BufferType } from './resources/BufferResource';
export interface Texture3DOptions {
    source?: BaseTexture;
    layout?: Texture3DLayout | TextureLayout3DOptions;
    label?: string;
    data?: BufferType;
}
export declare class Texture3D {
    label?: string;
    id: number;
    dirty: boolean;
    source: BaseTexture;
    layout: Texture3DLayout;
    data: BufferType;
    isEmpty: boolean;
    constructor({ source, layout, label, data }: Texture3DOptions);
    update(data: BufferType): void;
    castToBaseTexture(): BaseTexture<import("..").Resource, import("..").IAutoDetectOptions>;
}
